diff -cN xmahjongg2.old/INSTALL.LINUX xmahjongg2/INSTALL.LINUX
*** xmahjongg2.old/INSTALL.LINUX
--- xmahjongg2/INSTALL.LINUX	Thu Apr  1 16:55:49 1993
***************
*** 0 ****
--- 1,48 ----
+ -------------------------------------------
+ Xmahjongg v2.0; color version for X-windows
+ -------------------------------------------
+ 
+ Compiled for LINUX.
+ This program needs only the X11 library to build, 
+ so you won't need Xview libraries.
+ You only have to read this file to install it, but please read
+ the COPYRIGHT notice and the two README's of the original authors too.
+ 
+ The binary was compiled it under Linux 0.99.2, with gcc 2.2.2 and 
+ libc 4.1 (jump library of course). The X interface was compiled with 
+ Xfree v1.1 (old) but I hope it works for you.
+ 
+ The only thing added to the program itself is a Makefile.
+ It should build not only the program but also the fonts and board files.
+ You need to be working under X-windows to install the font directory,
+ so I suggest you first do a make, then start X-windows, and THEN do
+ a make install. The Makefile and some small patches are in xmahjongg2.patch,
+ so you need to do a 
+ patch < xmahjongg2.patch
+ in the directory where you put the source. This package does NOT contain
+ the original source.
+ 
+ This package contains a gzipped tar file which should install the
+ binaries in the standard? directories. Please examine it first, with
+ tar tzvf binaries.tar.z, or
+ zcat binaries.tar.z |tar tvf -, to see if nothing important gets 
+ overwritten on your system. 
+ 
+ The binary xmahjongg was stripped and ``gzexe-d" because I keep running
+ out of disk space :-)
+ 
+ The author of this version can be reached as
+ Jeff S. Young
+ jsy@cray.com,
+ 
+ the original author as
+ Mark A. Holm
+ tektronix!tessi!exc!markh
+ 
+ and I can be reached at asstud3@sci.kun.nl, but that account expires
+ within 3 weeks :-(.
+ 
+ Have fun!
+ Frits Daalmans
+ Merelstraat 6
+ Leiden, NL
diff -cN xmahjongg2.old/Makefile xmahjongg2/Makefile
*** xmahjongg2.old/Makefile
--- xmahjongg2/Makefile	Thu Apr  1 16:59:02 1993
***************
*** 0 ****
--- 1,62 ----
+ #
+ #*****************************************************************************
+ #									      *
+ #	Copyright (c) 1990 by Jeff S. Young.  All rights reserved under the   *
+ #	copyright laws of the United States.			      	      *
+ #									      *
+ #*****************************************************************************
+ #
+ #	This version slightly adapted for Linux by Frits Daalmans.
+ #	The only thing really changed is the Makefile; it now builds
+ #	the library and font directories too.
+ #*****************************************************************************
+ #
+ #	makefile for xmahjongg, X-windows version (with color!)
+ #
+ XINC	= /usr/X386/include/X11
+ XLIB	= /usr/X386/lib/libX11.a
+ XBIN	= /usr/X386/bin
+ MANDIR	= /usr/man/man6
+ FONTDIR = /usr/X386/lib/X11/fonts/misc
+ LAYOUTDIR= /usr/X386/lib/X11/xmahjongg
+ CFLAGS	= -O -I$(XINC) -DGLOBAL=extern -DLAYOUT=\"$(LAYOUTDIR)\"
+ BOARDS	= default bridge wedges
+ FONTPIECES= x.bdf.1 x.bdf.2 x.bdf.3
+ FONTNAME= xmahjong
+ # Shortened the name so that it fits on a Minix filesystem :-)
+ OBJS	= xmahjongg.o draw.o event.o initial.o packet.o play.o random.o \
+ 	  sysdep.o variables.o
+ 
+ all:	xmahjongg $(FONTNAME).pcf
+ 
+ xmahjongg: $(OBJS)
+ 	   $(CC) $(CFLAGS) -o xmahjongg $(OBJS) $(XLIB)
+ 
+ $(FONTNAME).pcf: $(FONTPIECES)
+ 	cat $(FONTPIECES) >$(FONTNAME).bdf
+ 	$(XBIN)/bdftopcf $(FONTNAME).bdf > $(FONTNAME).pcf
+ 	rm -f $(FONTNAME).bdf
+ 	compress $(FONTNAME).pcf
+ 
+ install: all
+ 	 echo Installing boards in $(LAYOUTDIR)
+ 	 if [ ! -d $(LAYOUTDIR) ]; then mkdir $(LAYOUTDIR); fi
+ 	 cp $(BOARDS) $(LAYOUTDIR)
+ 	 echo Installing $(FONTNAME) font in $(FONTDIR)
+ 	 echo '(Did you remember to start up the X-windows server?)'
+ 	 cp $(FONTNAME).pcf.Z $(FONTDIR)
+ 	 chmod 644 $(FONTDIR)/$(FONTNAME).pcf.Z
+ 	 $(XBIN)/mkfontdir $(FONTDIR)
+ 	 $(XBIN)/xset +fp $(FONTDIR)
+ 	 $(XBIN)/xset fp rehash
+ 	 echo Installing the man page
+ 	 cp xmahjongg.6 $(MANDIR)
+ 	 echo Installing xmahjongg in $(XBIN)
+ 	 strip xmahjongg
+ #	 gzexe xmahjongg	# If you have it...
+ 	 cp xmahjongg $(XBIN)
+ 	 chmod 711 $(XBIN)/xmahjongg
+ 	 echo Ready to play.
+ clean: 
+ 	rm -f xmahjongg $(FONTNAME).pcf.Z *.o
+ 
diff -cN xmahjongg2.old/initial.c xmahjongg2/initial.c
*** xmahjongg2.old/initial.c	Fri May 31 17:46:54 1991
--- xmahjongg2/initial.c	Thu Apr  1 15:16:02 1993
***************
*** 336,342 ****
  		while (1) {
  			if ((s = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
  				sleep(1);
! 			} else if (connect(s, (char *)&name, namelen) < 0) {
  				close(s);
  				sleep(1);
  			} else {
--- 336,342 ----
  		while (1) {
  			if ((s = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
  				sleep(1);
! 			} else if (connect(s, (struct sockaddr *)&name, namelen) < 0) {
  				close(s);
  				sleep(1);
  			} else {
***************
*** 361,367 ****
  	} else if (setsockopt(s, SOL_SOCKET, SO_REUSEADDR, &on, sizeon) < 0) {
  		perror("can't reset socket");
  		exit(1);
! 	} else if (bind(s, (char *)&name, namelen) < 0) {
  		perror("can't bind socket");
  		exit(1);
  	} else if (listen(s, 5) < 0) {
--- 361,367 ----
  	} else if (setsockopt(s, SOL_SOCKET, SO_REUSEADDR, &on, sizeon) < 0) {
  		perror("can't reset socket");
  		exit(1);
! 	} else if (bind(s, (struct sockaddr *)&name, namelen) < 0) {
  		perror("can't bind socket");
  		exit(1);
  	} else if (listen(s, 5) < 0) {
***************
*** 373,379 ****
  		if (pp->type != 'A') continue;
  		namelen = sizeof(name);
  
! 		if ((pp->fd = accept(s, (char *)&name, &namelen)) < 0) {
  			sleep(1);
  		};
  	};
--- 373,379 ----
  		if (pp->type != 'A') continue;
  		namelen = sizeof(name);
  
! 		if ((pp->fd = accept(s, (struct sockaddr *)&name, &namelen)) < 0) {
  			sleep(1);
  		};
  	};
diff -cN xmahjongg2.old/packet.c xmahjongg2/packet.c
*** xmahjongg2.old/packet.c	Fri May 31 17:46:55 1991
--- xmahjongg2/packet.c	Thu Apr  1 15:17:09 1993
***************
*** 89,95 ****
  	timeout.tv_sec = 0L;
  	timeout.tv_usec = 0L;
  
! 	if (select(maxfds, &readfds, NULL, NULL, &timeout) <= 0) {
  		return(0);
  	} else if ((i = read(fd, (char *)&packet, packetlen)) != packetlen) {
  		fprintf(stderr, "can't read from %s\n", pp->name);
--- 89,95 ----
  	timeout.tv_sec = 0L;
  	timeout.tv_usec = 0L;
  
! 	if (select(maxfds, (fd_set *) &readfds, NULL, NULL, &timeout) <= 0) {
  		return(0);
  	} else if ((i = read(fd, (char *)&packet, packetlen)) != packetlen) {
  		fprintf(stderr, "can't read from %s\n", pp->name);
diff -cN xmahjongg2.old/sysdep.c xmahjongg2/sysdep.c
*** xmahjongg2.old/sysdep.c	Fri May 31 17:46:56 1991
--- xmahjongg2/sysdep.c	Thu Apr  1 15:11:46 1993
***************
*** 59,65 ****
   */
  	while (XEventsQueued(XGameDisplay, QueuedAfterReading) == 0) {
  		readfds = (1 << XGameFD) | playfds;
! 		select(maxfds, &readfds, NULL, NULL, NULL);
  
  		if ((readfds & playfds) != 0) {
  			event_packet(readfds);
--- 59,65 ----
   */
  	while (XEventsQueued(XGameDisplay, QueuedAfterReading) == 0) {
  		readfds = (1 << XGameFD) | playfds;
! 		select(maxfds, (fd_set *) &readfds, NULL, NULL, NULL);
  
  		if ((readfds & playfds) != 0) {
  			event_packet(readfds);
diff -cN xmahjongg2.old/xmahjongg.h xmahjongg2/xmahjongg.h
*** xmahjongg2.old/xmahjongg.h	Fri May 31 17:47:02 1991
--- xmahjongg2/xmahjongg.h	Thu Apr  1 16:07:40 1993
***************
*** 14,20 ****
  /*
   *	Path used for layout files
   */
! #define	LAYOUT		"/home/poplar1/jsy/tmp/xmahjongg"
  
  /*
   *	Fundamental definitions
--- 14,20 ----
  /*
   *	Path used for layout files
   */
! #define	LAYOUT		"/usr/X386/lib/X11/xmahjongg"
  
  /*
   *	Fundamental definitions
